BCMP(3)

NAME
bcmp - compare byte sequences

SYNOPSIS
#include <strings.h>

int bcmp(const void *s1, const void *s2, size_t n);

DESCRIPTION
The bcmp() function compares the two byte sequences s1 and s2 of length n each. If they are equal, and in particular if n is zero, bcmp() returns 0. Otherwise it returns a non-zero result.

RETURN VALUE
The bcmp() function returns 0 if the byte sequences are equal, otherwise a non-zero result is returned.

CONFORMING TO
4.3BSD. This function is deprecated -- use memcmp in new programs.

SEE ALSO
memcmp(3), strcasecmp(3), strcmp(3), strcoll(3), strncasecmp(3), strncmp(3)